#!/bin/bash
###############################################################
#
#     Format:   runall.sh module_name
# 
# - this script run all the scripts needed for the conversion 
#    of a CVS repository module to a bazaar repository
#
# Prerequisites:
# - read readme.txt
#
###############################################################

# Test if the module name is passed as a parameter
if [ $# != 1 ] ; then
   echo "Usage: runall.sh module_name"
   exit 1
else
   modulename=$1
fi

# Step 1 conversion without tags 
./s1-convertnotags.sh $modulename
if [ $? -ne 0 ]; then exit 1 ;fi

# Step 2 conversion with tags 
./s1-convertwithtags.sh $modulename
if [ $? -ne 0 ]; then exit 1 ;fi

# Step 3 detect tag timestamps using CVS history 
# for tag list and last modify date of files for timestamp
# 
#      Current version is in Step 4
#
#./s3-detecttime.sh $modulename ./ts-cvs.txt
#if [ $? -ne 0 ] ;then exit 1 ;fi

# Step 4 detect tag timestamps using BZR history from
# a BZR repository with tags (created in Step 2)
./s3-detecttime-alt.sh $modulename-tmp ./ts-bzr.txt
if [ $? -ne 0 ]; then exit 1 ;fi

# Step 5  apply tags from file ts-bzr.txt into bazaar repository
./s4-applytags.sh $modulename ./ts-bzr.txt
if [ $? -ne 0 ] ;then exit 1 ;fi

# Step 6 verify
./s5-verifytags.sh $modulename ./ts-bzr.txt
if [ $? -ne 0 ] ;then exit 1 ;fi