#!/bin/bash
###############################################################
#                      HELP  
# input: CVS module name as an argument (MODULENAME) 
# output: list of tags from CVS module (not starting with 'H')
#
# the cvs repository is assumed to be on ./cvsrepo
# use as s2_createtaglist.sh modulename > filename
#
###############################################################

module="" 
# <module-option>
excludedtags='^H'

export CVSROOT=$PWD/cvsrepo
cvsroot=$CVSROOT

# Test if the module name is passed as a parameter
if [ $# != 1 ] ; then
   echo "Usage: s2-createtaglist.sh module_name"
   exit 1
else
   module=$1   
fi

# Find CVS tags (not starting with "H") 
cvs -Q rlog -h $module | \
   awk -F"[.:]" '/^\t/&&$(NF-1)!=0{print $1}' | \
   sort -u  | \
   while read tagName
   do
      echo $tagName
   done | \
   grep -v $excludedtags

